Package org.apache.sysds.runtime.ooc.stream

# Class SourceOOCStream.SourceGroupCallback

java.lang.Object
org.apache.sysds.runtime.ooc.stream.SourceOOCStream.SourceGroupCallback

All Implemented Interfaces:
  `AutoCloseable`, `OOCStream.GroupQueueCallback<IndexedMatrixValue>`, `OOCStream.QueueCallback<IndexedMatrixValue>`

Enclosing class:
  SourceOOCStream

public static class SourceOOCStream.SourceGroupCallback extends Object implements OOCStream.GroupQueueCallback<IndexedMatrixValue>

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`fail(DMLRuntimeException failure)`
`IndexedMatrixValue`
`get()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
`getCallback(int idx)`
`OOCIOHandler.GroupSourceBlockDescriptor`
`getDescriptor()`
`boolean`
`isEos()`
`boolean`
`isFailure()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
`keepOpen()`
Keeps the callback item pinned in memory until the returned callback is also closed.
`int`
`size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDescriptor

public OOCIOHandler.GroupSourceBlockDescriptor getDescriptor()

### size

public int size()

Specified by:
  `size` in interface `OOCStream.GroupQueueCallback<IndexedMatrixValue>`

### getCallback

public OOCStream.QueueCallback<IndexedMatrixValue> getCallback(int idx)

Specified by:
  `getCallback` in interface `OOCStream.GroupQueueCallback<IndexedMatrixValue>`

### get

public IndexedMatrixValue get()

Specified by:
  `get` in interface `OOCStream.QueueCallback<IndexedMatrixValue>`

### keepOpen

public OOCStream.QueueCallback<IndexedMatrixValue> keepOpen()
Description copied from interface: `OOCStream.QueueCallback`
Keeps the callback item pinned in memory until the returned callback is also closed.

Specified by:
  `keepOpen` in interface `OOCStream.QueueCallback<IndexedMatrixValue>`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `OOCStream.QueueCallback<IndexedMatrixValue>`

### fail

public void fail(DMLRuntimeException failure)

Specified by:
  `fail` in interface `OOCStream.QueueCallback<IndexedMatrixValue>`

### isEos

public boolean isEos()

Specified by:
  `isEos` in interface `OOCStream.QueueCallback<IndexedMatrixValue>`

### isFailure

public boolean isFailure()

Specified by:
  `isFailure` in interface `OOCStream.QueueCallback<IndexedMatrixValue>`